#ifndef AC_H
#define AC_H

#include <ostream>
#include <set>
#include <queue>
#include <vector>
#include <ilcplex/ilocplex.h>
#include <ilconcert/ilorandom.h>


using namespace std;
void findAC(double*,int solver);
void Point_AC_RP(double,double*);               // find a new point between 2 points (x=(gamma*y + (1-gamma)*z))
extern IloExpr ACExpr;
extern vector<bool> isInt;			// for each variable we know if is integer or continue variable
extern IloNumArray relaxedVars;		        // value of the vars (all) in the current relaxation
void roundAC(double*,double*,double*);
#endif
