#include <stdlib.h>
#include <stdio.h>
#include "PCx.h"
void findACPCx(char* fileMPS,double* x)
{
	MPStype *MPS;
	solution *Solution;
	driver_PCx(fileMPS,&MPS, &Solution);
	printf("\nRead Time       = %.2f seconds\n", Solution->ReadTime);
  	printf("Preprocess time = %.2f seconds\n", Solution->PreprocessTime);
  	printf("Solution time   = %.2f seconds\n", Solution->SolutionTime);
	int i;
  	for(i=0; i<(MPS->NumCols)-1;i++) x[i]=Solution->x[i];
	DeleteMPS(MPS);
	FreeSolution(Solution);
	
}
